summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_net_registry.sh
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2008-06-17 23:54:15 +0200
committerMichael Adam <obnox@samba.org>2008-06-17 23:54:15 +0200
commitba3eee6cf883a2692b313674829f9316f783ecde (patch)
tree58b342f08a59ef4d6999fc81928c59bf6aa3ac06 /source3/script/tests/test_net_registry.sh
parentaeec9c7f553963625d4c9b5378eb18d8551a1b14 (diff)
downloadsamba-ba3eee6cf883a2692b313674829f9316f783ecde.tar.gz
samba-ba3eee6cf883a2692b313674829f9316f783ecde.tar.bz2
samba-ba3eee6cf883a2692b313674829f9316f783ecde.zip
testsuite: give admin rights to testuser only for the "net rpc registry" test.
Remove the user from BUILTIN\Administrators at the end of the tests. Note: BUILTIN\Administrators is not deletet at the end because that functionality is not implemented. Michael (This used to be commit 1734f9305a38eff05f0147d9c7391ef34085e7b2)
Diffstat (limited to 'source3/script/tests/test_net_registry.sh')
-rwxr-xr-xsource3/script/tests/test_net_registry.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/source3/script/tests/test_net_registry.sh b/source3/script/tests/test_net_registry.sh
index b263ecbea6..4fe6db42d7 100755
--- a/source3/script/tests/test_net_registry.sh
+++ b/source3/script/tests/test_net_registry.sh
@@ -329,6 +329,41 @@ test_setvalue_twice()
${NETREG} setvalue ${KEY} ${VALNAME} ${VALTYPE2} ${VALVALUE2}
}
+give_administrative_rights()
+{
+ bin/net -s $SERVERCONFFILE sam createbuiltingroup Administrators
+ if test "x$?" != "x0" ; then
+ echo "ERROR: creating builtin group Administrators"
+ false
+ return
+ fi
+
+ bin/net -s $SERVERCONFFILE sam addmem BUILTIN\\Administrators $USERNAME
+ if test "x$?" != "x0" ; then
+ echo "ERROR: adding user $USERNAME to BUILTIN\\Administrators"
+ false
+ else
+ true
+ fi
+}
+
+take_administrative_rights()
+{
+ bin/net -s $SERVERCONFFILE sam delmem BUILTIN\\Administrators $USERNAME
+ if test "x$?" != "x0" ; then
+ echo "ERROR: removing user $USERNAME from BUILTIN\\Administrators"
+ false
+ else
+ true
+ fi
+}
+
+if test "x${RPC}" = "xrpc" ; then
+testit "giving user ${USERNAME} administrative rights" \
+ give_administrative_rights || \
+ failed=`expr $failed +1`
+fi
+
testit "enumerate HKLM" \
test_enumerate HKLM || \
failed=`expr $failed + 1`
@@ -396,5 +431,11 @@ testit "delete key with value" \
test_deletekey HKLM/testkey || \
failed=`expr $failed + 1`
+if test "x${RPC}" = "xrpc" ; then
+testit "taking administrative rights from user ${USERNAME}" \
+ take_administrative_rights || \
+ failed=`expr $failed +1`
+fi
+
testok $0 $failed